#ifndef BuildDataOrganizer_H
#define BuildDataOrganizer_H

#include "DataOrganizer.h"
#include "Temperature\LandCoverPCal.h"
#include "Inputs\Inputs.h"

class BuildDataOrganizer
{
	public:
		static void Go(DataOrganizer *organizer, Inputs *input);
		static void BuildStatisticalDataOrganizer(DataOrganizer *organizer, Inputs *input);
		static void BuildSpatialorganizer(DataOrganizer *organizer, Inputs *input);
		static void BuildLCScaling(DataOrganizer *organizer, Inputs *input);
		static void AddBulkAreaSpatialCoverData(DataFolder *folder, Inputs *input, int locationIndex);
		static void AddBulkAreaStatisticalCoverData(DataFolder *folder);
		static void AddBulkAreaAlternativeCoverData(DataFolder *folder, Inputs *input, int locationIndex);
		static void SetGIMissingParams(DataOrganizer *organizer, Inputs *input);
};

#endif